package com.ruoyi.system.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 订单电话通知师傅记录对象 notify_order
 * 
 * @author ruoyi
 * @date 2025-05-13
 */
public class NotifyOrder extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    /** 订单 */
    @Excel(name = "订单")
    private Long oid;

    /** 呼叫状态：
0：正常 1：空号 2：用户忙 3：拒接 4：无人接听 5：无法接通 6：被运营商拦截 7：关机 8：停机 9：其他 10：主机挂机 11：被叫挂机 12：主叫放弃 13：小号状态异常  14：订单超期 */
    @Excel(name = "呼叫状态：0：正常 1：空号 2：用户忙 3：拒接 4：无人接听 5：无法接通 6：被运营商拦截 7：关机 8：停机 9：其他 10：主机挂机 11：被叫挂机 12：主叫放弃 13：小号状态异常  14：订单超期")

    private String callState;

    /** 主显号码 */
    @Excel(name = "主显号码")
    private String displayNumber;

    /** 被叫号码 */
    @Excel(name = "被叫号码")
    private String calleeNumber;

    /** 通话时长 */
    @Excel(name = "通话时长")
    private String duration;

    /** 呼叫标识 */
    @Excel(name = "呼叫标识")
    private String callId;

    /** 呼叫开始时间 */
    @Excel(name = "呼叫开始时间")
    private String startCallTime;

    /** 结束时间 */
    @Excel(name = "结束时间")
    private String endTime;

    /** 接通时间 */
    @Excel(name = "接通时间")
    private String answeredTime;

    /** 1:已接单 0：未接单 */
    @Excel(name = "1:已接单 0：未接单")
    private Integer isAccept;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private Date createdAt;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private Date updatedAt;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }

    public void setOid(Long oid) 
    {
        this.oid = oid;
    }

    public Long getOid() 
    {
        return oid;
    }

    public void setCallState(String callState) 
    {
        this.callState = callState;
    }

    public String getCallState() 
    {
        return callState;
    }

    public void setDisplayNumber(String displayNumber) 
    {
        this.displayNumber = displayNumber;
    }

    public String getDisplayNumber() 
    {
        return displayNumber;
    }

    public void setCalleeNumber(String calleeNumber) 
    {
        this.calleeNumber = calleeNumber;
    }

    public String getCalleeNumber() 
    {
        return calleeNumber;
    }

    public void setDuration(String duration) 
    {
        this.duration = duration;
    }

    public String getDuration() 
    {
        return duration;
    }

    public void setCallId(String callId) 
    {
        this.callId = callId;
    }

    public String getCallId() 
    {
        return callId;
    }

    public void setStartCallTime(String startCallTime) 
    {
        this.startCallTime = startCallTime;
    }

    public String getStartCallTime() 
    {
        return startCallTime;
    }

    public void setEndTime(String endTime) 
    {
        this.endTime = endTime;
    }

    public String getEndTime() 
    {
        return endTime;
    }

    public void setAnsweredTime(String answeredTime) 
    {
        this.answeredTime = answeredTime;
    }

    public String getAnsweredTime() 
    {
        return answeredTime;
    }

    public void setIsAccept(Integer isAccept) 
    {
        this.isAccept = isAccept;
    }

    public Integer getIsAccept() 
    {
        return isAccept;
    }

    public void setCreatedAt(Date createdAt) 
    {
        this.createdAt = createdAt;
    }

    public Date getCreatedAt() 
    {
        return createdAt;
    }

    public void setUpdatedAt(Date updatedAt) 
    {
        this.updatedAt = updatedAt;
    }

    public Date getUpdatedAt() 
    {
        return updatedAt;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("oid", getOid())
            .append("callState", getCallState())
            .append("displayNumber", getDisplayNumber())
            .append("calleeNumber", getCalleeNumber())
            .append("duration", getDuration())
            .append("callId", getCallId())
            .append("startCallTime", getStartCallTime())
            .append("endTime", getEndTime())
            .append("answeredTime", getAnsweredTime())
            .append("isAccept", getIsAccept())
            .append("createdAt", getCreatedAt())
            .append("updatedAt", getUpdatedAt())
            .toString();
    }
}
